#!/bin/bash

USER="admin@machinesense.com"
PASSWORD="admin#123"
COOKIE_FILE="/tmp/seed-fetch-cookie.jar"

base_url="https://localhost:5001"

CURL="curl --insecure -c $COOKIE_FILE -b $COOKIE_FILE"

objectable_object_url="${base_url}/objectable/object"
assembly_url="${objectable_object_url}/Assembly"

if [ -f "$COOKIE_FILE" ] ; then
	rm -f $COOKIE_FILE
fi

# Login

login_data="{
	\"email\": \"$USER\",
	\"password\": \"$PASSWORD\"
}"

echo $login_data


$CURL -s -H "content-type: application/json" -d "$login_data" $base_url/auth/login


ids=$($CURL ${base_url}/objectable/objects/Assembly | jq | grep id | awk '{print $2}' | tr -d ",")


for id in $ids
do
    echo "id is: " $id
    name=$($CURL -s "$assembly_url/$id" | jq .data.name | tr -d '"')
    echo "name is " $name
    $CURL -s "$assembly_url/$id?with=subassemblies,subassemblies.pm_functions,subassemblies.pm_functions.gauge_group,subassemblies.pm_functions.trend_meta_data,subassemblies.pm_functions.gauge_ranges,subassemblies.pm_functions.etl_gauges,subassemblies.pm_functions.mro_issues&camel=0" | jq > "tmp_seeding/${name}_seed.json" 
done




