import sys
import os
from . import app_paths
import pathlib
import json
import yaml
from dotmap import DotMap
#from dotenv import load_dotenv, find_dotenv
#load_dotenv(find_dotenv())

json_separators = (',',':')

print("name is ", __name__)

print("Testing: ",app_paths.test)

loaded=None


def add(name,value):
    globs = globals()
    globs[name] = value

def load_configs():
    if not (loaded is None):
        return
    #globs = globals()
    print("appconfigs load configs")
    for config in os.listdir(app_paths.configs):
#        print("config: ",config)
        if config == "__pycache__":
            continue
        configname = os.path.splitext(config)[0]
        ext = pathlib.Path(config).suffix
#        print("Extension: ",ext)
#            print("base name: ", configname)
        file_path = app_paths.configs + "/" + config
        c = None
        if ext == ".json":
#            print("Processing json")
            with open(file_path) as app_config_json:
                c = json.loads(app_config_json.read())
#                   print(configs[configname])
        elif ext == ".py":
#            print("Python file: ",config)
            module_name = "mdhwebserver.configs." + configname
            m = __import__(module_name,fromlist=['config'])
            c = m.config
        elif ext == ".yaml":
#            print("Have YAML")
            #with open('mdhwebserver/config/log_config.yaml', 'r') as f:
            with open(file_path, 'r') as f:
                c = yaml.safe_load(f.read())
#            print("Yamil is: ")
#            print(c)
        else:
            print("Unknown extension: ",ext)
        if not (c is None):
            add(configname,DotMap(c))
            #globs[configname] = DotMap(c)
#            print(c)

#        self.configs = DotMap(configs)
#        print(self.configs)



load_configs()

print("Configs: ",testconfig)
