from os import getenv as env

config = {
        "protocol": "postgresql",
        "host": env("DB_HOST","localhost"),
        "port": env("DB_PORT","5432"),
        "db_name": env("DB_NAME","mdhdb"),
        "username": env("DB_USER","pumpsense"),
        "password": env("DB_PASSWORD","pumpsense#123"),
        "echo": True,
        "engine_opts": {
            "pool_size": 50,
            "pool_recycle": 3600,
            "pool_timeout": 60,
            "max_overflow": 10
        },
        "track_modifications": False
}
