import logging

from getmac import get_mac_address
from mdhwebserver import appconfigs

#from ..config import config

logger = logging.getLogger('db_config')
from mdhwebserver.appservices import database as db

#db = None


'''

def manage_db_conn():
    db.engine.dispose()

    @event.listens_for(db.engine, "connect")
    def connect(dbapi_connection, connection_record):
        connection_record.info['pid'] = os.getpid()

    @event.listens_for(db.engine, "checkout")
    def checkout(dbapi_connection, connection_record, connection_proxy):
        pid = os.getpid()
        if connection_record.info['pid'] != pid:
            connection_record.connection = connection_proxy.connection = None
            raise exc.DisconnectionError(
                    "Connection record belongs to pid %s, "
                    "attempting to check out in pid %s" %
                    (connection_record.info['pid'], pid)
            )

def configure_db(flask_app):
    global db
    db_config = config.config_props['database']
    db_conn_str = f"{db_config['protocol']}://{db_config['username']}:{db_config['password']}@{db_config['host']}:{db_config['port']}/{db_config['db_name']}"
    flask_app.config['SQLALCHEMY_DATABASE_URI'] = db_conn_str
    flask_app.config['SQLALCHEMY_ECHO'] = db_config['echo']
    flask_app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = db_config['track_modifications']
    flask_app.config['SQLALCHEMY_ENGINE_OPTIONS'] = db_config['engine_opts']
    db = SQLAlchemy(flask_app)
    manage_db_conn()

'''
    

def create_admin_user(app):
    from mdhwebserver.models.models import User
    from ..managers.service_manager import user_service

    admin_account = appconfigs.auth.admin_account

    with app.app_context():

        if User.query.all():
            logger.info(
                'Admin account exists, skipping admin account creation...')

        else:
            name = admin_account.get('name') or 'admin'
            email = admin_account.get('email') or 'admin@pumpsense.com'
            password=(admin_account.get('password') or get_mac_address()).encode('utf-8')
            user = User(name=name, email=email, password=password, is_admin=True)
            user.save();
            db.session.commit()
            logger.info(f'{email}: added successfully.')
