
import werkzeug
import typing as t

#from werkzeug.exceptions import HTTPException

class ValidationException(werkzeug.exceptions.HTTPException):
    code=402
    description="<p> Validation exception </p>"
    def __init__(
        self, 
        description: t.Optional[str] = None,
        response: t.Optional["Response"] = None,
        validator: t.Optional["Validator"] = None 
    ) -> None:
        super().__init__(description,response)
        self.validator = validator

    def get_validator(self):
        return self.validator


