
import functools

class TaskManager:

    def __init__(self):
        self.tasks = dict()

    def add(self,name,function):
        print(f'Added task: {name} -- function: {function.__name__}')
        self.tasks[name] = function

    def get(self,name):
        print("Getting task: ",name)
        return self.tasks[name]


task_manager = TaskManager()

def task_register(name):
    def inner_register(func):
        global task_manager
        print("Registering %s -- %s" % (name,func.__name__))
        task_manager.add(name,func)
        return func
    return inner_register





