from .check_for_mro import check_for_mro
from mdhwebserver.appservices import celery, app
import simplejson as json
from mdhwebserver.appservices import database as db

@celery.task(bind=True, default_retry_delay=15)
#def submit_mro_task(self,module_name,type_name,payload):
def submit_mro_task(self,module_name,type_name,output_json):
    print("************ MRO PROCESSING ********************")
    with app.app_context():
        # output_json = json.loads(payload)
        if isinstance(output_json,str):
            output_json = json.loads(output_json)
        #print("output_json: ",output_json)
        check_for_mro(output_json)
        db.session.commit()

