import json, time, os
import pyinotify
import traceback

from check_for_mro import check_for_mro

# from mroDBManager import db
# from mroDBManager import write_to_mongoDB

os.system("mkdir -p output_jsons")
#os.system("mkdir -p emails")

saving_incoming_path="output_jsons/"

def read_json_file(jsonfile):
    temp_struct={}
    with open(jsonfile) as json_file:
        temp_struct = json.load(json_file)
    return temp_struct




# collection=db["Gauge"]


# while True:
#     active_count=collection.estimated_document_count()
#     print(active_count)
#     if active_count>=1:
#         processed_data={}
#         new_docs=collection.find().sort("_id", -1).limit(active_count)
#         for nd in new_docs:
#             nd_name=nd["name"]
#             exceptionFlag=False
#             try:
#                 if processed_data[nd_name] is not None:
#                     print("processed already : "+nd_name)
#                     exceptionFlag=False
#             except KeyError:
#                 exceptionFlag=True
            
#             if exceptionFlag:
#                 print(nd_name)
#                 check_for_mro(nd)
#                 processed_data[nd_name]=True
    
# #     time.sleep(5)

def on_created(event):
    try:
        output_json={}
        print("\n[=] {} processing.".format(event.pathname))
        output_json=read_json_file(event.pathname)
        check_for_mro(output_json)
        # for gauge_name in output_json["gauge"]:
        #     print("\n\n"+gauge_name)
        #     mro_detector(output_json["header"], output_json["gauge"][gauge_name], gauge_name)
        os.remove(event.pathname)
    except Exception as e:
        print(traceback.format_exc())
        #print(e)
        
wm = pyinotify.WatchManager()
while not os.path.exists(saving_incoming_path):
    pass

print("Starting monitors for Output JSONs at: "+saving_incoming_path)
wm.add_watch(saving_incoming_path, pyinotify.IN_CLOSE_WRITE, on_created)
notifier = pyinotify.Notifier(wm)
notifier.loop()