
import json,getopt,sys,glob
from check_for_mro import check_for_mro
#from alarmTransformer import alarm_transformer

output_dir=None

def process(output_json):
    with open(output_json) as f:
        output_json = json.load(f)
        #alarm_transformer(output_json)
        check_for_mro(output_json)

def process_from_dir(output_dir):
    od=glob.glob(output_dir+"/*.json")
    for oj in od:
        process(oj)

try:
    opts, args = getopt.getopt(sys.argv[1:],"O:D:")
except getopt.GetoptError:
    print("Error: Error Loading Output JSON: ")
for opt,arg in opts:
    if opt == "-O":
        output_json = arg
    if opt == "-D":
        output_dir = arg

if output_dir:
    process_from_dir(output_dir)
else:
    process(output_json)