
def get_alarm_flags(gauge):
    return     {    
                    "sendYellowAlert": gauge["sendYellowAlert"][0], # does not work for multiple values in PA
                    "alarmYellowIssueOpen": gauge["alarmYellowIssueOpen"][0],
                    "sendRedAlert": gauge["sendRedAlert"][0],
                    "alarmRedIssueOpen": gauge["alarmRedIssueOpen"][0],
                    "sendYellowAlertHistory": gauge["sendYellowAlertHistory"][0],
                    "alarmYellowIssueOpenHistory": gauge["alarmYellowIssueOpenHistory"][0],
                    "sendRedAlertHistory": gauge["sendRedAlertHistory"][0],
                    "alarmRedIssueOpenHistory": gauge["alarmRedIssueOpenHistory"][0]
                }

def transform_format1(gauge,gauge_name):
    if "sendRedAlert" in gauge:
        temp_struct={}
        temp_struct["subassembly"]=gauge["subassemblyInstance"]
        temp_struct["gauge_name"] = gauge_name.split(":")[1].strip(" ")
        temp_struct["alarming"]=get_alarm_flags(gauge)
        return temp_struct
    return None

def transform_alarms(gauge):
    if "alarming" in gauge:
        temp_struct={}
        temp_struct["alarming"]=get_alarm_flags(gauge["alarming"])
        return temp_struct
    return None
