import logging
import logging.config
from mdhwebserver import appconfigs
from os import getenv as env

def configure_logger():
    log_cfg = appconfigs.logger
    log_file_name =  env("APP_LOG_FILE",log_cfg.handlers.file.filename)
    log_cfg.handlers.file.filename = log_file_name
    #log_cfg.handlers.file.filename = env("APP_LOG_FILE",log_cfg.handlers.file.filename)
    logging.basicConfig(filename=log_file_name)
    print("LOGGER FILE: ", log_cfg.handlers.file.filename)
    handlers = log_cfg.handlers
    # Override preset log_level values from env
    for handler in handlers.keys():
        handlers[handler]['level'] = appconfigs.app.log_level
    #logging.config.dictConfig(log_cfg)
    logging.config.dictConfig(log_cfg.toDict())

