def rchildren_validate_circular_reference(hm_parent, new_item):
  if hm_parent == new_item:
    return new_item
  return rchildren_check_for_circular_references(hm_parent, new_item.rchildren)

def rchildren_check_for_circular_references(hm_parent, new_items):
  if not new_items:
    return None
  for item in new_items:
    result = rchildren_validate_circular_reference(hm_parent,item)
    if result:
      return item

  return None

def validate_circular_reference(hm_parent, new_item):
  if hm_parent == new_item:
    return new_item
  return check_for_circular_references(hm_parent, new_item.children)

def check_for_circular_references(hm_parent, new_items):
  if not new_items:
    return None
  for item in new_items:
    result = validate_circular_reference(hm_parent,item)
    if result:
      return item

  return None
