#!/bin/bash


#url=http://localhost:5000/testing/updateOrCreate2
url=http://localhost:5000/store/pumpsense/gauge
#url=http://localhost:5000/pumpsense/gauge
#url=https://192.168.1.206/pumpsense/gauge
#FILE=gaugeinfo.json
FILE=gaugetest1.json

usage() {
	echo "usage: $1 [-u url] <data_dir>"
	echo "    -u url          URL to post file to"
	echo "    data_dir        Directory of files to post"	
	exit 1
}

while [ $# -gt 0 ]
do
	case "$1" in
		"-f")
			echo "file"
			shift
			FILE=$1
			;;
		"-u")
			echo "url"
			shift
			url=$1
			;;
		-*)
			echo "invalid option"
			usage $0
			;;
		*)
			break
			;;
	esac
	shift
done

if [ -z "$1" ] ; then
	usage $0
fi

data_dir=$1


echo "POSTING file in $data_dir to: $url"

for file in ${data_dir}/*
do
	echo $file
	curl -k -X POST -H "Content-Type: application/json" -d @${file} $url
	echo
done


