from .response_builder import  MDHErrorResponseBuilder



class ValidationErrorResponseBuilder(MDHErrorResponseBuilder):
    def __init__(self,validator):
        super().__init__(message="Validation Error")
        self.validator = validator

    def build(self):
        self.response['success'] = self._success
        self.response['error'] = {
                'message': self.message,
                'errors': self.validator.errors
        
        }
        return self.response


