from os import getenv as env

def get_bool_env(name,default):
    val = env(name,default)
    if val == default:
        return val
    val = val.lower() in ['true','1','t','y','yes']
    return val

config = {
    "name":env("APP_NAME","mdhwebserver"),
    "log_level": env("LOG_LEVEL","DEBUG"),
    "email_enabled": get_bool_env("EMAIL_ENABLE",True)
}
