from getmac import get_mac_address as gma
from os import getenv as env


ifname=env("IFACE",'eth0')

import netifaces as ni
try:
	ni.ifaddresses(ifname)
	ip = ni.ifaddresses(ifname)[ni.AF_INET][0]['addr']
except:
	ip='127.0.0.1'

config = {
	"name" : "master_datahub",
	"macAddress" : gma(),
	"ipAddress": ip,
	"machineList" : [],
	"dhVersion" : env("VERSION","116.003"),
	"hub_id": env("HUB_ID","MDH")
}

