import os
import time
import getmac
from threading import Thread


def reboot(timeout):
    time.sleep(timeout)
    os.system("reboot")


def reboot_device_timed(timeout):
    try:
        thread = Thread(target=reboot, args=(timeout,))
        thread.start()
    except:
        raise Exception("Failed on reboot")
    return True


def reboot_device():
    try:
        reboot_device_timed(5)
    except:
        raise

def get_interface_mac(interface: str):
    try:
        mac = getmac.get_mac_address(interface=interface).strip()
        if len(mac.strip()) != 17:
            raise Exception("Invalid MAC or interface {0}: {1}".format(interface, mac))
        return mac
    except:
        raise



