from sqlalchemy.orm import DeclarativeBase
import sqlalchemy as sa

from sqlalchemy.orm import DeclarativeBase
from .types.SiUnit import SiUnit

# class BaseModel(DeclarativeBase):
#     pass

from mdhwebserver.models.mdhbasemodel import BaseModel

class SiUnitUnit(BaseModel):
    __tablename__ = "unit_units"
    __abstract__ = True
    name=sa.Column(sa.String(32),primary_key=True)
    unit=sa.Column(SiUnit)
    shift=sa.Column(sa.DOUBLE_PRECISION)
    definition=sa.Column(sa.TEXT)
    dump=sa.Column(sa.BOOLEAN)

class SiUnitPrefix(BaseModel):
    __tablename__ = "unit_prefixes"
    __abstract__ = True
    prefix=sa.Column(sa.String(32),primary_key=True)
    factor=sa.Column(sa.DOUBLE_PRECISION)
    definition=sa.Column(sa.TEXT)
    dump=sa.Column(sa.BOOLEAN)

class UnitTranslate(BaseModel):
    __tablename__ = 'unit_translations'
    id = sa.Column(sa.Integer, primary_key=True)
    unit_system = sa.Column(sa.String(4),nullable=False)
    name = sa.Column(sa.String(20),nullable=False)
    translate_unit_system = sa.Column(sa.String(4),nullable=False)
    translate_name = sa.Column(sa.String(20),nullable=False)
