from issue_handler import issueGenerator
from issue_handler import issueCloser
#import traceback

postStateMro={}

def post_state(mroStruct, gauge_struct):
    gauge_colors=["Red", "Yellow"]
    for machine_id in mroStruct:
        for subassemblyInstance in mroStruct[machine_id]:
            for gauge_name in mroStruct[machine_id][subassemblyInstance]:
                for gcolor in gauge_colors:
                    try:
                        mroStruct[machine_id][subassemblyInstance][gauge_name]=report_states(gcolor,gauge_struct)
                    except KeyError:
                        pass
                        #mroStruct[machine_id][subassemblyInstance].pop(gauge_name)
    
    return mroStruct



def report_states(gauge_color_name,gauge_struct):
    gauge_color={}
    
    if gauge_struct[f"alarm{gauge_color_name}IssueOpen"] or gauge_struct[f"send{gauge_color_name}Alert"]:
        gauge_color["current_state"]=gauge_color_name  #gauge_struct[f"alarm{gauge_color_name}IssueOpen"]

    #gauge_struct[f"alarm{gauge_color_name}IssueOpenHistory"]
    # gauge_color[gauge_color_name]["current_send_state"]=gauge_struct[f"send{gauge_color_name}Alert"]
    # gauge_color[gauge_color_name]["last_send_state"]=gauge_struct[f"send{gauge_color_name}AlertHistory"]
    return gauge_color




def mro_detector(header, gauge_struct, gauge_name):
    global postStateMro
    try:
        pmFunctionId="pmFunctionId"
        #print(header)
        mroKey= header["machineId"] + "_" + pmFunctionId #+ "_" + header["subAssemblyInstanceId"] 

        mroStruct={}
        mroStruct[header["machineId"]]={}
        mroStruct[header["machineId"]][gauge_struct["subassemblyInstance"]]={}
        mroStruct[header["machineId"]][gauge_struct["subassemblyInstance"]][gauge_name]={}

        postStateMro.update(post_state(mroStruct,gauge_struct))
        #print(postStateMro)

        mroRaw={}
        mroRaw["client_name"]=header["companyName"]
        mroRaw["machine_id"]=header["machineId"]
        mroRaw["machine_name"]=header["machineName"]
        mroRaw["subAssemblyInstanceName"]=gauge_struct["subassemblyInstance"]
        mroRaw["days_to_red"]= " "
        mroRaw["process_id"]= " "
        mroRaw["insert_datetime"]=int(header['timestamp'])
        mroRaw["gaugeType"]=gauge_name
        try:
            mroRaw["gaugeType"]=gauge_struct["gaugeType"]
        except:
            mroRaw["gaugeType"]=""

        gauge_current_state=postStateMro[header["machineId"]][gauge_struct["subassemblyInstance"]][gauge_name]["current_state"]
        gauge_last_state=postStateMro[header["machineId"]][gauge_struct["subassemblyInstance"]][gauge_name]["last_state"]
        if gauge_current_state!=gauge_last_state:
            mroRaw["gauge_color"]=gauge_current_state
            issueGenerator(mroKey, mroRaw, True)
        elif gauge_current_state==gauge_last_state:
            mroRaw["gauge_color"]=gauge_current_state
            issueCloser(mroKey, mroRaw, False)
        else:
            print("[+] For gauge: "+gauge_name+" at " + str(header['timestamp']) + " : MRO Does Not Meet Available Conditions for machine: "+header["machineId"])
                
    except Exception as e:
        if "last_state" == e.args[0]:
            postStateMro[header["machineId"]][gauge_struct["subassemblyInstance"]][gauge_name]["last_state"]=gauge_current_state
            postStateMro.update(postStateMro)
        print("[+] MRO not applicable here: "+str(e))
        #print(traceback.format_exc())
    
    #print(postStateMro)
