import os
import logging

from flask_sqlalchemy import SQLAlchemy
from flask_sqlalchemy.query import Query as BaseQuery
from sqlalchemy import event, exc
from mdhwebserver import appconfigs
from sqlalchemy.orm import joinedload

# from ..config import config


logger = logging.getLogger('jwt_config')
jwt = None

def configure_jwt(app):
    global jwt
    jwt_config = appconfigs.jwt
    app.config['JWT_SECRET_KEY'] = jwt_config.jwt_secret_key
    app.config['JWT_COOKIE_SECURE'] = jwt_config.jwt_cookie_secure
    app.config['JWT_COOKIE_CSRF_PROTECT'] = jwt_config.jwt_cookie_csrf_protect
    app.config['JWT_TOKEN_LOCATION'] = jwt_config.jwt_token_location
    app.config['JWT_ACCESS_TOKEN_EXPIRE_MINUTES'] = jwt_config.jwt_access_token_expire_minutes

