

def pluck(d,key):
    i=0
#    subset = {value[key] for value in d}
#    subset = [value.get(key) for value in d]
    subset = [getattr(value,key) for value in d]
    return subset

def dict_extract(d,keys):
    subset = {key: d.get(key) for key in keys}
    return subset

def dict_not_extract(d,keys):
    subset = {key: value for key,value in d.items() if key not in keys }
    return subset

def dict_map_extract(d,keys,fillall=False):
    subset = dict()
    for key,mapto in keys.items():
        try:
            subset[mapto] = d[key]
        except:
            if fillall:
                subset[mapto]=None

    return subset


def where(d,key,value):
    for k,v in d.items():
        if v[key] == value:
            return v
    return None
    
def find_value(items,name,value):
    for item in items:
        if getattr(item,name) == value:
            return item
    return None


def mapper(d,key):
    l={}
    for item in d:
        idx = getattr(item,key)
        l[idx]=item
    return l

